return Def.ActorFrame {
	Def.StepsDisplayList {
		Name="StepsDisplayListRow";
		CurrentSongChangedMessageCommand=function(self)
			self:setfromgamestate();
		end;
		CursorP1 = Def.ActorFrame {
			InitCommand=cmd(x,8;player,PLAYER_1);
			LoadActor(THEME:GetPathG("_StepsDisplayListRow cursor", "p1"))..{
			};
		};
		CursorP2 = Def.ActorFrame {
			InitCommand=cmd(x,72;player,PLAYER_2);
			LoadActor(THEME:GetPathG("_StepsDisplayListRow cursor", "p2"))..{
			};
		};
		CursorP1Frame = Def.Actor{
			ChangeCommand=cmd(stoptweening;decelerate,0.125);
		};
		CursorP2Frame = Def.Actor{
			ChangeCommand=cmd(stoptweening;decelerate,0.125);
		};
	};
};
